Get a source
GET
/v1/sources/:id
curl "https://api.summerbase.com/v1/sources/:id" \ -H "Authorization: Bearer sb_..."const response = await fetch("https://api.summerbase.com/v1/sources/:id", { headers: { Authorization: "Bearer sb_...", },})const data = await response.json()Fetch one source of the project you are working in.
Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”id
required
string
The source’s slug — stripe — or its Summerbase id.
Example
0198f1a3-0b7c-7e25-9f41-6a2d8c3e5b19Response
Section titled “Response”Returns the source object.
Media typeapplication/json
Example
{ "connected_at": "2025-09-08T14:10:05Z", "created_at": "2025-09-08T14:09:47Z", "id": "0198f1a3-0b7c-7e25-9f41-6a2d8c3e5b19", "import_failed_at": null, "import_progress": null, "import_started_at": null, "import_step": null, "imported_at": "2025-09-08T14:26:51Z", "name": "Stripe", "object": "source", "priority": 2, "project_id": "0198f1a2-6c52-7b18-8e3f-2a9c4d6b1e07", "provider_account_id": "acct_1QfR3sT8uVw2XyZa", "provider_code": "stripe", "sandbox": false, "slug": "stripe", "webhook_installed_at": "2025-09-08T14:10:06Z", "webhook_url": "https://api.summerbase.com/webhooks/stripe/0198f1a3-0b7c-7e25-9f41-6a2d8c3e5b19?c=us1"}